summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/glusterfs_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/glusterfs_build.sh')
-rwxr-xr-xsanity/system_light/scripts/glusterfs_build.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/glusterfs_build.sh b/sanity/system_light/scripts/glusterfs_build.sh
new file mode 100755
index 0000000..d12e191
--- /dev/null
+++ b/sanity/system_light/scripts/glusterfs_build.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# This script takes glusterfs tar file, untars it and builds it.
+
+function main ()
+{
+
+ echo "cloning from the git:`date +%T`" >>$LOG_FILE
+ time git clone git://git.gluster.com/glusterfs.git glusterfs.git 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "Cannot clone the git repository"
+ tar -xvf $GLUSTERFS_TAR_FILE
+ mv glusterfs-$GFS_VERSION glusterfs.git
+ fi
+
+ cd $GLUSTERFS_DIR
+
+ echo "running autogen.sh:`date +%T`"
+ time ./autogen.sh 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "autogen failed:`date +%T`";
+ return 11;
+ fi
+
+ echo "running configure:`date +%T`"
+ time ./configure 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "configure failed:`date +%T`";
+ return 11;
+ fi
+
+
+ echo "running make:`date +%T`"
+ time make -j 32 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "make failed:`date +%T`";
+ return 11;
+ else
+ echo "all successful:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@" \ No newline at end of file